apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: weather-application
  namespace: argocd
spec:
  project: default
  source:
    repoURL: https://gitlab.com/research8083948/weather-api/infrastructure
    targetRevision: HEAD
    path: dev
  destination:
    server: https://kubernetes.default.svc
    namespace: weather-app
  syncPolicy:
    syncOptions:
      - CreateNamespace=true
    automated:
      prune: true
      selfHeal: true
